Langpacks aren't updated when auto-updating SeaMonkey

NEW
Unassigned

Status

SeaMonkey
Installer
4 years ago
2 years ago

People

(Reporter: Konstantin Zemlyak, Unassigned)

Tracking

SeaMonkey 2.30 Branch
x86_64
Windows 7

Firefox Tracking Flags

(Not tracked)

Details

(URL)

User Story

>> What will happen to language packs for Thunderbird & SeaMonkey?
>> https://addons.mozilla.org/en-US/seamonkey/language-tools/ and
>> https://addons.mozilla.org/en-US/thunderbird/language-tools/ don't list the
>> official language packs.


> AMO technically have the ability to auto-update those too, but it requires
> contacting the developers of the owners of already-listed language packs for
> permission to add Mozilla as an author.


> What needs to be done for new releases are two things
> 
> 1. Add the new appversion to
> https://addons.mozilla.org/en-US/firefox/pages/appversions/
> (needs to be done by Jorge)


> 2. Run the langpack compat bump at
> https://addons.mozilla.org/en-US/admin/langpacks
> (can be done by Kris, Jorge, or TheOne)
(Reporter)

Description

4 years ago
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:32.0) Gecko/20100101 Firefox/32.0 SeaMonkey/2.29
Build ID: 20140829003846

Steps to reproduce:

Everytime when SeaMonkey is updating to newer version it tries to find updated addons but consistently fails to find updates for installed langpacks.

1) Install en-US version of Seamonkey system-wide
2) Install langpack from download page
3) Switch to new language and restart SM
4) New version is released. SM downloads update and asks for running installer
5) Installer runs, downloads and applies update, checks for new version of addons.



Actual results:

6) SM usually starts in english locale again and requires manual install of new langpack from download page.

This also manifests sometimes in broken UI elements like empty/broken doorhangers, yellow screens of death with XML validation errors, etc. Fixing this often requires using safe mode with disabling addons.


Expected results:

For step 5 I'd expect for installer to find newer version of installed langpacks so at step 6 I'll get fully working localized browser.

Comment 1

4 years ago
That's because the langpacks are not on AMO.

Comment 2

4 years ago
(Quoting from the meeting minutes)
> The de and en-GB langpacks for 2.30 have:
> <em:minVersion>2.30</em:minVersion><em:maxVersion>2.*</em:maxVersion>
> 2.22 had:
> <em:minVersion>2.22</em:minVersion><em:maxVersion>2.22.*</em:maxVersion>

So, this should be confirmed unless there is a more specific bug pending already to which to dupe to.

Updated

4 years ago
Status: UNCONFIRMED → NEW
Ever confirmed: true

Comment 3

3 years ago
The maxVersion issue has been solved for 2.34 and higher, the core if this (langpacks not being updated because they're not on AMO) persists, though, and needs to be solved on the level of SeaMonkey releng (and possibly AMO).

Comment 4

3 years ago
See https://bugzilla.mozilla.org/show_bug.cgi?id=1072515#c5

>> Is this something that needs to be part of a release process?
> 
> Yes, what needs to be done for new releases are two things
> 
> 1. Add the new appversion to
> https://addons.mozilla.org/en-US/firefox/pages/appversions/ (needs to be
> done by Jorge)
> 2. Run the langpack compat bump at
> https://addons.mozilla.org/en-US/admin/langpacks (can be done by Kris, Jorge
> or me)
> 
> I guess it's best if you let us know a couple of days before you release the
> a new release version.

https://bugzilla.mozilla.org/show_bug.cgi?id=485617#c40

>> What will happen to language packs for Thunderbird & SeaMonkey?
>> https://addons.mozilla.org/en-US/seamonkey/language-tools/ and
>> https://addons.mozilla.org/en-US/thunderbird/language-tools/ don't list the
>> official language packs.
> 
> We technically have the ability to auto-update those too, but it requires
> contacting the developers of the owners of already-listed language packs for
> permission to add Mozilla as an author.
User Story: (updated)
Depends on: 485617
See Also: → bug 1072515
You need to log in before you can comment on or make changes to this bug.